# Build script for salsa.
# These commands build the Salsa distribution using the javac debug info flag.

echo "SALSA Build Script v0.2"
echo "Please make sure the current directory is in your CLASSPATH"
echo ""
echo "Compiling SALSA Compiler Code"
javac `find salsac/ | grep "java$"`

echo "Compiling Language Package"
echo "salsa source..."
java -Dsilent salsac.SalsaCompiler `find salsa/ | grep "salsa$"`
echo "java source..."
javac `find salsa/ | grep "java$"`

echo "Compling WWC Package"
echo "salsa source..."
java -Dsilent salsac.SalsaCompiler `find wwc/ | grep "salsa$"`
echo "java source..."
javac `find wwc/ | grep "java$"`

echo "Compiling Examples"
echo "salsa source..."
java -Dsilent salsac.SalsaCompiler `find examples/ | grep "salsa$"`
echo "java source..."
javac `find examples/ | grep "java$"`

echo ""
echo "Finished!"
